zen

To install, run nikola theme -i zen

The zen and zen-based themes are very customizable, so to make these themes work, you have to use this conf.py, obviously with your custom changes ;-)

More info about the zen themes family here.

Enjoy!

Damián

WARNING: The zen themes are LESS-powered (not less... because it is more-powered ;-)) If you use webassests (USE_BUNDLES = True in your conf.py), the theme will use compiled css files, so don't worry at all... But, if you want to build the css files from the zen LESS files, you have to use USE_BUNDLES = False, and have installed the lessc (official LESS compiler). Additionaly, you have a LESS plugin available in the Nikola plugins repo to automatically build the LESS files inside nikola build command. You can easily install it just doing: nikola plugin -i less.

Suggested Configuration:

NAVIGATION_LINKS = {
    DEFAULT_LANG: (
        ('/index.html', 'Home', 'icon-home'),
        ('/archive.html', 'Archives', 'icon-folder-open-alt'),
        ('/categories/index.html', 'Tags', 'icon-tags'),
        ('/rss.xml', 'RSS', 'icon-rss'),
        ('https://getnikola.com', 'About me', 'icon-user'),
        ('https://twitter.com/getnikola', 'My Twitter', 'icon-twitter'),
        ('https://github.com/getnikola', 'My Github', 'icon-github'),
    )
}

Issues? Questions?

You can report issues with this theme and request help via GitHub Issues.

Related themes

Variants:

Theme inheritance chain